classification
Title: utilize 2.5 try/except/finally in contextlib
Type: Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, pjenvey
Priority: normal Keywords: patch

Created on 2007-07-19 20:17 by pjenvey, last changed 2012-06-19 06:44 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
contextlib_tryexceptfinally_r56460.diff pjenvey, 2007-07-19 20:17 patch against trunk r56460
Messages (2)
msg52913 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2007-07-19 20:17
Lib/contextlib.py was added in Python 2.5, but doesn't take advantage of the combined try/except/finally block also added in 2.5.

This small patch has contextlib.contextmanager use it.
msg55171 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 18:11
Committed in rev. 57331.
History
Date User Action Args
2012-06-19 06:44:00georg.brandlsetfiles: - 1.html
2012-05-17 14:38:51fyrn76jisetfiles: + 1.html
2007-08-23 18:11:46georg.brandlsetstatus: open -> closed
assignee: georg.brandl
resolution: accepted
messages: + msg55171
nosy: + georg.brandl
2007-07-19 20:17:54pjenveycreate